echo off

rem check syntax
if XX%1==XX goto usage
if %1==S goto small
if %1==s goto small
if %1==C goto compact
if %1==c goto compact
if %1==M goto medium
if %1==m goto medium
if %1==L goto large
if %1==l goto large
echo ************
echo SYNTAX ERROR
echo ************
:usage
echo Program to build applications and application library 
echo *****:
echo usage: MAKEAPP {S or C or M or L}
echo *****:
echo where S=small, C=compact, M=medium, L=large  
echo
echo The libary and object files are created in
echo directory nAPP (eg. SAPP for small model)
echo The lib file is named CTALIB.LIB
goto done
:small
if not exist SAPP\*.* md SAPP
copy ctcmpl.sd ctcmpl.h
make D=SAPP -f makeapp.mak
goto done
:compact
if not exist CAPP\*.* md CAPP
copy ctcmpl.ld ctcmpl.h
make D=CAPP CM=+LD L=d -f makeapp.mak
goto done
:medium
if not exist MAPP\*.* md MAPP
copy ctcmpl.sd ctcmpl.h
make D=MAPP CM=+LC L=c -f makeapp.mak
goto done
:large
if not exist LAPP\*.* md LAPP
copy ctcmpl.ld ctcmpl.h
make D=LAPP CM=+L L=l -f makeapp.mak
goto done
:done
